#ifndef AMirDTypes_INCLUDED
#define AMirDTypes_INCLUDED

/******************************************************************
*
* Software Systems Research Laboratory
* Department of Electrical Engineering and Computer Science
* University of Michigan at Ann Arbor
* 1301 Beal Avenue, Ann Arbor, MI 48105
* 
*
* Copyright (c) 1999 The Regents of The University of Michigan.
* All rights reserved.
* 
* Contact: pdmcdan@eecs.umich.edu
*******************************************************************/

//////////////////////////////////////////////////////////////////////////////////
//
//
//   File : AMirDTypes.h
//
//   Created : 25-Sep-00
//   By : Patrick McDaniel
//
//   Description : This is the base class for the AMirDTypes application.
//                 It mirrors a set of directories specified in a the
//                 configuration file.
//
//   *** Change History ***
//
//   25-Sep-00 Created File : DPM
//
//////////////////////////////////////////////////////////////////////////////////

// *** Include Files ***

// Project Include Files
#include <AuditLog.h>

// *** Definitions *** 
#define AMIRD_MAXLINE_LEN    256
#define AMIRD_DEFAULT_CNF "./amird.conf"
#define AMIRD_DEFAULT_LOG "./amird.log"
#define MAX_AMIRD_WAIT 86400
#define TEMP_POSTFIX "_imird_dl_"

// *** Log Levels ***
#define AMIRD_ERROR_LEVEL  0x01000000
#define AMIRD_REPORT_LEVEL 0x02000000
#define AMIRD_DETAIL_LEVEL 0x04000000

// *** Filesystem Details ***
#define TEMP_PERMS 00200
#define FS_SEPERATOR  '/'

#endif
